3d session fails to initialize with nouveau on many GeForce cards

Bug #1080389 reported by Doug McMahon
30
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Joseph Salisbury
Raring
Medium
Joseph Salisbury

Bug Description

With the current 3.7.0-2-generic #8-Ubuntu SMP & also the mainline 3.7.0-030700rc6 both unity & gnome-shell fail to start.
The greeter screen comes up fine then goes to just the background with a cursor. No actions are possible inc. going to a VT.
After a period of time system logs back out to the greeter. (or a totally corrupted greeter

A Classic (no effects) session loads fine, am filing bug from that
Installing nvidia-* & 3d sessions work fine
3d sessions also worked fine with nouveau with the previous 3.7.0.0 kernel

On todays current live image the same is seen, attempting "Try Me" goes to a blank background image with a cursor, nothing can be done at that point

Quite possibly related to this reported kernel bug
https://lkml.org/lkml/2012/11/17/108

Confirmed affected cards so far -
8400m GS
GT-210
8500 GT
7600gs
GTX 660
GTS 250

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: linux-image-3.7.0-2-generic 3.7.0-2.8
ProcVersionSignature: Ubuntu 3.7.0-2.8-generic 3.7.0-rc5
Uname: Linux 3.7.0-2-generic x86_64
ApportVersion: 2.6.2-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: doug 2529 F.... pulseaudio
Date: Sun Nov 18 11:30:40 2012
HibernationDevice: RESUME=UUID=aa193222-44ce-4f0e-9c9f-83758886b5c8
InstallationDate: Installed on 2012-10-23 (26 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017)
MachineType: Dell Inc. XPS M1330
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 nouveaufb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.7.0-2-generic root=UUID=7276fdbb-8025-4feb-aff4-f2da9732a928 ro quiet splash
RelatedPackageVersions:
 linux-restricted-modules-3.7.0-2-generic N/A
 linux-backports-modules-3.7.0-2-generic N/A
 linux-firmware 1.97
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/26/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A15
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA15:bd12/26/2008:svnDellInc.:pnXPSM1330:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: XPS M1330
dmi.sys.vendor: Dell Inc.

Revision history for this message
Doug McMahon (mc3man) wrote :
Revision history for this message
Doug McMahon (mc3man) wrote :
Revision history for this message
Brad Figg (brad-figg) wrote : Status changed to Confirmed

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
Doug McMahon (mc3man) wrote : Re: 3d session fails to initilize with nouveau on GeForce 8400M GS
Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

@Doug

It would be great if you can post back where or not that commit fixes this bug, once it's in mainline.

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Revision history for this message
Doug McMahon (mc3man) wrote : Re: [Bug 1080389] Re: 3d session fails to initilize with nouveau on GeForce 8400M GS

On 11/19/2012 11:26 AM, Joseph Salisbury wrote:
> @Doug
>
> It would be great if you can post back where or not that commit fixes
> this bug, once it's in mainline.
>
> ** Changed in: linux (Ubuntu)
> Importance: Undecided => Medium
>
> ** Tags added: kernel-bug-exists-upstream
>
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Triaged
>
Will do - is it safe to assume it will be in rc7?

Revision history for this message
Joseph Salisbury (jsalisbury) wrote : Re: 3d session fails to initilize with nouveau on GeForce 8400M GS

I wouldn't assume it will be in rc7. I don't see that it is in linux-next yet, so it might not make into Linus' tree until 3.8.

Revision history for this message
Doug McMahon (mc3man) wrote :

3.8 seems aways off so I -
Apt getted the current 13.04 kernel source (linux_3.7.0-2.8.tar.gz
extracted & patched it with patch from link in prior comment
debian/rules updateconfigs
fakeroot debian/rules clean
AUTOBUILD=1 fakeroot debian/rules binary-debs
Re-installed with the new .debs & rebooted

Booted fine & is now able to log in to 3d sessions (unity & Gs

Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

@Doug,

I'm glad to hear you have a work around for now. The final release of raring will probably be based on the 3.8 kernel.

Doug McMahon (mc3man)
summary: - 3d session fails to initilize with nouveau on GeForce 8400M GS
+ 3d session fails to initialize with nouveau on some GeForce cards
Revision history for this message
Doug McMahon (mc3man) wrote : Re: 3d session fails to initialize with nouveau on some GeForce cards

Confirmed affected adapters so far - 8400m GS; GT-210; 8500 GT; 7600gs
So it would appear it may be a bit more widespread than just 8400*

The biggest current 'issue' would be on new installs on daily images, affected hardware would log into basically nothing. While there are workarounds to revive theses installs not all will know how.

If it's going to be some time before officially showing then some consideration could be given to patching Ubuntu builds, haven't had any issues with the patched kernel here.

Doug McMahon (mc3man)
summary: - 3d session fails to initialize with nouveau on some GeForce cards
+ 3d session fails to initialize with nouveau on many GeForce cards
description: updated
Revision history for this message
cariboo (cariboo) wrote :

Ass my card to the list:

02:00.0 VGA compatible controller: NVIDIA Corporation GT218 [GeForce 210] (rev a2)

Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

I created a raring test kernel with the commit mentioned in comment #4 applied. The test kernel can be downloaded from:

http://people.canonical.com/~jsalisbury/lp1080389/

Can you test that kernel and report back if it resolves this bug?

I queried upstream and it seems the fix in comment #4 should make it into the 3.7 kernel. If it does not, I can submit a request for it to be included in raring.

Not updated yet, but the response to my query will appear here:
https://lkml.org/lkml/2012/11/17/108

Revision history for this message
Bowmore (bowmore) wrote :

Thanks, your test kernel works great here so far ;)

$ uname -a
Linux ltop1 3.7.0-3-generic #9~lp1080389 SMP Wed Nov 21 17:07:50 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Changed in linux (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Joseph Salisbury (jsalisbury)
Revision history for this message
Doug McMahon (mc3man) wrote : Re: [Bug 1080389] Re: 3d session fails to initialize with nouveau on many GeForce cards

On 11/21/2012 02:00 PM, Joseph Salisbury wrote:
> I created a raring test kernel with the commit mentioned in comment #4
> applied. The test kernel can be downloaded from:
>
> http://people.canonical.com/~jsalisbury/lp1080389/
>
> Can you test that kernel and report back if it resolves this bug?
>
> I queried upstream and it seems the fix in comment #4 should make it
> into the 3.7 kernel. If it does not, I can submit a request for it to
> be included in raring.
>
> Not updated yet, but the response to my query will appear here:
> https://lkml.org/lkml/2012/11/17/108
>
No issue here with the testing kernel, logs in fine to unity

Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

Thanks for testing! I submitted this patch for inclusion in the raring kernel, until it is official merged in Linus' tree.

Tim Gardner (timg-tpi)
Changed in linux (Ubuntu Raring):
status: In Progress → Fix Committed
Revision history for this message
Doug McMahon (mc3man) wrote :

Seems fix released with today's linux-* (3.7.0-4.12) upgrades
Also seen in 11/26 mainline -
"Kelly Doran (1):
      drm/nvc0/disp: fix thinko in vblank regression fix.."

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers